dvdisaster Version 0.70 | To the Internet version

Contents

Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information

### Recovering the medium image

To recover a defective medium you must first try to read as much data as possible from it. Then you need the appropriate error correction data which you have hopefully generated at a time when the medium was still fully readable.

1. | Select the image file. | The symbol opens the file chooser.
2. | If you are using error correction files, select the respective error correction file. Leave this entry blank when working with augmented images. | The symbol opens the file chooser.
3. | Click on the "Fix" button. |
4. | Watch the recovery progress. It is normal to experience phases of high hard drive activity during image reconstruction |

When the image has been successfully recovered, transfer it to a new medium using a CD/DVD writing software.

### Recovering the image using the command line

Recovering requires the following parameters (defaults are given in parenthesis):

-f/ --fix | Recover
-i / --image | Image file (medium.iso)
-e / --ecc | only for RS01: Error correction file (medium.ecc)

No error correction file needs to be specified when augmented images are used.

user@linux> dvdisaster -f -i image.iso -e corrdata.ecc
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnoerlich.
[... remainder of the GPL announcement ...]

Opening image.iso: 2224288 medium sectors.

Fix mode: Repairable sectors will be fixed in the image.
5 repaired sectors: 708225 59850 69825 79800 199500
6 repaired sectors: 708226 59851 69826 79801 89776 199501
[... more reports on repaired sectors ...]
5 repaired sectors: 708224 59849 69824 79799 199499
Ecc progress: 100.0%
Repaired sectors: 33264
Good! All sectors are repaired.
Erasure counts per ecc block: avg = 3.3; worst = 7.

Copyright 2004-2007 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.